package _VisualDVM.Passes.All;
import _VisualDVM.GlobalData.Tasks.Passes.TaskLocalPass;
import _VisualDVM.GlobalData.Tasks.RunTask.RunTask;
import _VisualDVM.GlobalData.Tasks.Supervisor.Local.Windows.WindowsLocalRunSupervisor;
import _VisualDVM.ProjectData.Project.db_project_info;
public class WindowsLocalRun extends TaskLocalPass<WindowsLocalRunSupervisor> {
    public WindowsLocalRun() {
        super(WindowsLocalRunSupervisor.class);
    }
    @Override
    protected boolean canStart(Object... args) {
        supervisor.Init((RunTask) args[0], this, (db_project_info) args[1]);
        return true;
    }
}
